Bug 1253299 - Test image register failed on OSP with basic deployment [NEEDINFO]
Test image register failed on OSP with basic deployment
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
Director
Unspecified Unspecified
urgent Severity urgent
: ---
: 8.0 (Liberty)
Assigned To: Flavio Percoco
nlevinki
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 08:33 EDT by mathieu bultel
Modified: 2016-04-26 13:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-16 03:14:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fpercoco: needinfo? (mbultel)


Attachments (Terms of Use)

  None (edit)
Description mathieu bultel 2015-08-13 08:33:01 EDT
Description of problem:

Those tests :
{0} tempest.api.image.v1.test_images.CreateRegisterImagesTest.test_register_http_image [0.613825s] ... FAILED
{0} tempest.api.image.v1.test_images.CreateRegisterImagesTest.test_register_remote_image [0.014132s] ... FAILED

Failed on OSP-D  with the error above:


Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/home/stack/tempest/tempest/api/image/v1/test_images.py", line 74, in test_register_http_image
        copy_from=CONF.image.http_image)
      File "/home/stack/tempest/tempest/api/image/base.py", line 74, in create_image
        disk_format, **kwargs)
      File "/home/stack/tempest/tempest/services/image/v1/json/image_client.py", line 169, in create_image
        resp, body = self.post('v1/images', None, headers)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 252, in post
        return self.request('POST', url, extra_headers, headers, body)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 629, in request
        resp, resp_body)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 680, in _error_checker
        raise exceptions.BadRequest(resp_body)
    BadRequest: Bad request
    Details: 400 Bad Request

    The HTTP URL is invalid.


    Traceback (most recent call last):
    _StringException: Empty attachments:
      stderr
      stdout

    pythonlogging:'': {{{
    2015-08-13 06:15:54,335 10534 INFO     [tempest_lib.common.rest_client] Request (CreateRegisterImagesTest:test_register_http_image): 200 POST http://192.0.2.7:5000/v2.0/tokens
    2015-08-13 06:15:54,336 10534 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {}
            Body: None
        Response - Headers: {'status': '200', 'content-length': '4406', 'vary': 'X-Auth-Token', 'connection': 'close', 'date': 'Thu, 13 Aug 2015 10:15:54 GMT', 'content-type': 'application/json', 'x-openstack-request-id': 'req-2af54292-3a8d-4a75-819f-91b5f1a19af2'}
            Body: None
    2015-08-13 06:15:55,256 10534 INFO     [tempest_lib.common.rest_client] Request (CreateRegisterImagesTest:test_register_http_image): 400 POST http://192.0.2.7:9292/v1/images 0.920s
    2015-08-13 06:15:55,257 10534 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {'x-image-meta-container_format': 'bare', 'X-Auth-Token': '<omitted>', 'x-image-meta-is_public': 'False', 'x-glance-api-copy-from': 'http://download.cirros-cloud.net/0.3.1/cirros-0.3.1-x86_64-uec.tar.gz', 'x-image-meta-disk_format': 'raw', 'x-image-meta-name': 'New Http Image'}
            Body: None
        Response - Headers: {'status': '400', 'content-length': '46', 'connection': 'close', 'date': 'Thu, 13 Aug 2015 10:15:55 GMT', 'content-type': 'text/plain; charset=UTF-8', 'x-openstack-request-id': 'req-req-86876457-cdf0-4d69-927d-de4fd1302b23'}
            Body: 400 Bad Request

    The HTTP URL is invalid.
    }}}

    Traceback (most recent call last):
      File "/home/stack/tempest/tempest/api/image/v1/test_images.py", line 74, in test_register_http_image
        copy_from=CONF.image.http_image)
      File "/home/stack/tempest/tempest/api/image/base.py", line 74, in create_image
        disk_format, **kwargs)
      File "/home/stack/tempest/tempest/services/image/v1/json/image_client.py", line 169, in create_image
        resp, body = self.post('v1/images', None, headers)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 252, in post
        return self.request('POST', url, extra_headers, headers, body)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 629, in request
        resp, resp_body)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 680, in _error_checker
        raise exceptions.BadRequest(resp_body)
    BadRequest: Bad request
    Details: 400 Bad Request

    The HTTP URL is invalid.

    Traceback (most recent call last):
    _StringException: Empty attachments:
      stderr
      stdout

    pythonlogging:'': {{{


    Details: 400 Bad Request

    The HTTP URL is invalid.

    Traceback (most recent call last):
    _StringException: Empty attachments:
      stderr
      stdout

    pythonlogging:'': {{{
    2015-08-13 06:15:54,335 10534 INFO     [tempest_lib.common.rest_client] Request (CreateRegisterImagesTest:test_register_http_image): 200 POST http://192.0.2.7:5000/v2.0/tokens
    2015-08-13 06:15:54,336 10534 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {}
            Body: None
        Response - Headers: {'status': '200', 'content-length': '4406', 'vary': 'X-Auth-Token', 'connection': 'close', 'date': 'Thu, 13 Aug 2015 10:15:54 GMT', 'content-type': 'application/json', 'x-openstack-request-id': 'req-2af54292-3a8d-4a75-819f-91b5f1a19af2'}
            Body: None
    2015-08-13 06:15:55,256 10534 INFO     [tempest_lib.common.rest_client] Request (CreateRegisterImagesTest:test_register_http_image): 400 POST http://192.0.2.7:9292/v1/images 0.920s
    2015-08-13 06:15:55,257 10534 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {'x-image-meta-container_format': 'bare', 'X-Auth-Token': '<omitted>', 'x-image-meta-is_public': 'False', 'x-glance-api-copy-from': 'http://download.cirros-cloud.net/0.3.1/cirros-0.3.1-x86_64-uec.tar.gz', 'x-image-meta-disk_format': 'raw', 'x-image-meta-name': 'New Http Image'}
            Body: None
        Response - Headers: {'status': '400', 'content-length': '46', 'connection': 'close', 'date': 'Thu, 13 Aug 2015 10:15:55 GMT', 'content-type': 'text/plain; charset=UTF-8', 'x-openstack-request-id': 'req-req-86876457-cdf0-4d69-927d-de4fd1302b23'}
            Body: 400 Bad Request

    The HTTP URL is invalid.
    }}}

    Traceback (most recent call last):
      File "/home/stack/tempest/tempest/api/image/v1/test_images.py", line 74, in test_register_http_image
        copy_from=CONF.image.http_image)
      File "/home/stack/tempest/tempest/api/image/base.py", line 74, in create_image
        disk_format, **kwargs)
      File "/home/stack/tempest/tempest/services/image/v1/json/image_client.py", line 169, in create_image
        resp, body = self.post('v1/images', None, headers)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 252, in post
        return self.request('POST', url, extra_headers, headers, body)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 629, in request
        resp, resp_body)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 680, in _error_checker
        raise exceptions.BadRequest(resp_body)
    BadRequest: Bad request
    Details: 400 Bad Request

    The HTTP URL is invalid.



Captured pythonlogging:
~~~~~~~~~~~~~~~~~~~~~~~
    2015-08-13 06:15:54,335 10534 INFO     [tempest_lib.common.rest_client] Request (CreateRegisterImagesTest:test_register_http_image): 200 POST http://192.0.2.7:5000/v2.0/tokens
    2015-08-13 06:15:54,336 10534 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {}
            Body: None
        Response - Headers: {'status': '200', 'content-length': '4406', 'vary': 'X-Auth-Token', 'connection': 'close', 'date': 'Thu, 13 Aug 2015 10:15:54 GMT', 'content-type': 'application/json', 'x-openstack-request-id': 'req-2af54292-3a8d-4a75-819f-91b5f1a19af2'}
            Body: None
    2015-08-13 06:15:55,256 10534 INFO     [tempest_lib.common.rest_client] Request (CreateRegisterImagesTest:test_register_http_image): 400 POST http://192.0.2.7:9292/v1/images 0.920s
    2015-08-13 06:15:55,257 10534 DEBUG    [tempest_lib.common.rest_client] Request - Headers: {'x-image-meta-container_format': 'bare', 'X-Auth-Token': '<omitted>', 'x-image-meta-is_public': 'False', 'x-glance-api-copy-from': 'http://download.cirros-cloud.net/0.3.1/cirros-0.3.1-x86_64-uec.tar.gz', 'x-image-meta-disk_format': 'raw', 'x-image-meta-name': 'New Http Image'}
            Body: None
        Response - Headers: {'status': '400', 'content-length': '46', 'connection': 'close', 'date': 'Thu, 13 Aug 2015 10:15:55 GMT', 'content-type': 'text/plain; charset=UTF-8', 'x-openstack-request-id': 'req-req-86876457-cdf0-4d69-927d-de4fd1302b23'}
            Body: 400 Bad Request

    The HTTP URL is invalid.





======
Totals
======
Ran: 1 tests in 13.0000 sec.
 - Passed: 0
 - Skipped: 0
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 1
Sum of execute time for each test: 1.2664 sec.

==============
Worker Balance
==============
 - Worker 0 (1 tests) => 0:00:01.266363s



Version-Release number of selected component (if applicable):


How reproducible:

100% reproducible

Steps to Reproduce:

On OSP-director, with Virt deployment, on ml2-vxlan
Comment 3 mathieu bultel 2015-08-14 08:55:34 EDT
Test Suite on Image V1 failed also :

tempest.api.image.v1.test_images.ListImagesTest
==============================
Failed 1 tests - output below:
==============================

setUpClass (tempest.api.image.v1.test_images.ListImagesTest)
------------------------------------------------------------

Captured traceback:
~~~~~~~~~~~~~~~~~~~
    Traceback (most recent call last):
      File "/home/stack/tempest/tempest/test.py", line 272, in setUpClass
        six.reraise(etype, value, trace)
      File "/home/stack/tempest/tempest/test.py", line 265, in setUpClass
        cls.resource_setup()
      File "/home/stack/tempest/tempest/api/image/v1/test_images.py", line 113, in resource_setup
        img1 = cls._create_remote_image('one', 'bare', 'raw')
      File "/home/stack/tempest/tempest/api/image/v1/test_images.py", line 147, in _create_remote_image
        location=location)
      File "/home/stack/tempest/tempest/api/image/base.py", line 74, in create_image
        disk_format, **kwargs)
      File "/home/stack/tempest/tempest/services/image/v1/json/image_client.py", line 169, in create_image
        resp, body = self.post('v1/images', None, headers)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 252, in post
        return self.request('POST', url, extra_headers, headers, body)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 629, in request
        resp, resp_body)
      File "/usr/lib/python2.7/site-packages/tempest_lib/common/rest_client.py", line 680, in _error_checker
        raise exceptions.BadRequest(resp_body)
    BadRequest: Bad request
    Details: 400 Bad Request
    
    The HTTP URL is invalid.
    
       
    


======
Totals
======
Ran: 1 tests in 10.0000 sec.
 - Passed: 0
 - Skipped: 0
 - Expected Fail: 0
 - Unexpected Success: 0
 - Failed: 1
Sum of execute time for each test: 0.0000 sec.
Comment 5 mathieu bultel 2015-08-14 09:08:25 EDT
Not that the test passes on the rhel osp7 packstack jobs
Comment 8 Flavio Percoco 2015-09-16 03:14:01 EDT
Closing this as insufficient data since neither logs nor enough feedback were provided

Note You need to log in before you can comment on or make changes to this bug.